Edit assessment profile

Cortex XSIAM Platform APIs

post /public_api/v1/compliance/edit_assessment_profile

Edit an existing compliance custom assessment profile.

Required license: Cortex Cloud Runtime Security or Cortex Cloud Posture Management

Authentication: XDRAuthToken Api Key "Authorization"
Authentication: XDRAuth Api Key "x-xdr-auth-id"
CLIENT REQUEST
curl -X 'POST'
-H "Authorization: [[apiKey]]" \
-H "x-xdr-auth-id: [[apiKey]]" \
-H 'Accept: application/json'
-H 'Content-Type: application/json'
'https://api-yourfqdn/public_api/v1/compliance/edit_assessment_profile'
-d '{ "request_data" : { "standard_id" : "standard_id", "profile_name" : "profile_name", "asset_group_id" : 0, "evaluation_frequency" : "0 12 * * *", "description" : "description", "report_targets" : [ "report_targets", "report_targets" ], "id" : "id", "report_type" : "ALL", "enabled" : "yes" } }'
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") payload = "{\"\":{\"request_data\":{\"id\":\"string\",\"enabled\":\"yes\",\"profile_name\":\"string\",\"description\":\"string\",\"report_targets\":[\"user@example.com\"],\"report_type\":\"ALL\",\"evaluation_frequency\":\"0 12 * * *\",\"asset_group_id\":0,\"standard_id\":\"string\"}}}" headers = { 'x-xdr-auth-id': "REPLACE_KEY_VALUE", 'content-type': "application/json" } conn.request("POST", "/public_api/v1/compliance/edit_assessment_profile", payload, headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/v1/compliance/edit_assessment_profile") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Post.new(url) request["x-xdr-auth-id"] = 'REPLACE_KEY_VALUE' request["content-type"] = 'application/json' request.body = "{\"\":{\"request_data\":{\"id\":\"string\",\"enabled\":\"yes\",\"profile_name\":\"string\",\"description\":\"string\",\"report_targets\":[\"user@example.com\"],\"report_type\":\"ALL\",\"evaluation_frequency\":\"0 12 * * *\",\"asset_group_id\":0,\"standard_id\":\"string\"}}}" response = http.request(request) puts response.read_body
const data = JSON.stringify({ "": { "request_data": { "id": "string", "enabled": "yes", "profile_name": "string", "description": "string", "report_targets": [ "user@example.com" ], "report_type": "ALL", "evaluation_frequency": "0 12 * * *", "asset_group_id": 0, "standard_id": "string" } } }); const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("POST", "https://api-yourfqdn/public_api/v1/compliance/edit_assessment_profile"); xhr.setRequestHeader("x-xdr-auth-id", "REPLACE_KEY_VALUE"); xhr.setRequestHeader("content-type", "application/json"); xhr.send(data);
HttpResponse<String> response = Unirest.post("https://api-yourfqdn/public_api/v1/compliance/edit_assessment_profile") .header("x-xdr-auth-id", "REPLACE_KEY_VALUE") .header("content-type", "application/json") .body("{\"\":{\"request_data\":{\"id\":\"string\",\"enabled\":\"yes\",\"profile_name\":\"string\",\"description\":\"string\",\"report_targets\":[\"user@example.com\"],\"report_type\":\"ALL\",\"evaluation_frequency\":\"0 12 * * *\",\"asset_group_id\":0,\"standard_id\":\"string\"}}}") .asString();
import Foundation let headers = [ "x-xdr-auth-id": "REPLACE_KEY_VALUE", "content-type": "application/json" ] let parameters = ["": ["request_data": [ "id": "string", "enabled": "yes", "profile_name": "string", "description": "string", "report_targets": ["user@example.com"], "report_type": "ALL", "evaluation_frequency": "0 12 * * *", "asset_group_id": 0, "standard_id": "string" ]]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/v1/compliance/edit_assessment_profile")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/v1/compliance/edit_assessment_profile", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => "{\"\":{\"request_data\":{\"id\":\"string\",\"enabled\":\"yes\",\"profile_name\":\"string\",\"description\":\"string\",\"report_targets\":[\"user@example.com\"],\"report_type\":\"ALL\",\"evaluation_frequency\":\"0 12 * * *\",\"asset_group_id\":0,\"standard_id\":\"string\"}}}", CURLOPT_HTTPHEADER => [ "content-type: application/json", "x-xdr-auth-id: REPLACE_KEY_VALUE" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/v1/compliance/edit_assessment_profile"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "x-xdr-auth-id: REPLACE_KEY_VALUE"); headers = curl_slist_append(headers, "content-type: application/json"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"\":{\"request_data\":{\"id\":\"string\",\"enabled\":\"yes\",\"profile_name\":\"string\",\"description\":\"string\",\"report_targets\":[\"user@example.com\"],\"report_type\":\"ALL\",\"evaluation_frequency\":\"0 12 * * *\",\"asset_group_id\":0,\"standard_id\":\"string\"}}}"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/v1/compliance/edit_assessment_profile"); var request = new RestRequest(Method.POST); request.AddHeader("x-xdr-auth-id", "REPLACE_KEY_VALUE"); request.AddHeader("content-type", "application/json"); request.AddParameter("application/json", "{\"\":{\"request_data\":{\"id\":\"string\",\"enabled\":\"yes\",\"profile_name\":\"string\",\"description\":\"string\",\"report_targets\":[\"user@example.com\"],\"report_type\":\"ALL\",\"evaluation_frequency\":\"0 12 * * *\",\"asset_group_id\":0,\"standard_id\":\"string\"}}}", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Body parameters
required
application/json
object
request_dataobject
idstringrequired

Assessment profile ID

enabledobject

Enable or disable the assessment profile

string (Enum)

Whether the assessment profile is enabled. Valid values are:

  • yes
  • no
Allowed values:"yes""no"
boolean

Whether the assessment profile is enabled

profile_namestring

Name of the assessment profile

descriptionstring

Description of the assessment profile

report_targetsarray[string]

List of email addresses for reports

report_typestring (Enum)

Type of reporting. Valid values include:

  • ALL
  • PDF
  • CSV
  • NONE
Allowed values:"ALL""PDF""CSV""NONE"
evaluation_frequencystringcron

Cron expression for assessment report evaluation frequency

Example:"0 12 * * *"
asset_group_idinteger

Asset group ID

standard_idstring

Compliance standard ID

REQUEST
{ "request_data": { "id": "48e2f6a9fdc049479e9c6a8eda0bd163", "control_name": "Control 1" } }
Responses

Successfully updated assessment profile

Body
application/json
successboolean
RESPONSE
{ "success": false }

Bad request - invalid input parameters

Body
application/json
replyobject
err_codeinteger

Error code

err_msgstring

Error message

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 400, "err_msg": "Invalid filter field. Allowed fields: name, category, subcategory, is_custom, creation_time, created_by, modified_by, modification_time, id, description", "err_extra": {} } }
{ "reply": { "err_code": 400, "err_msg": "Invalid operator 'range' for field 'name'. Allowed operators: eq, neq, contains, not_contains", "err_extra": {} } }
{ "reply": { "err_code": 400, "err_msg": "Missing required parameter: control_name", "err_extra": {} } }
{ "reply": { "err_code": 400, "err_msg": "Invalid value for is_custom field. Allowed values: yes, no", "err_extra": {} } }

Authentication required

Body
application/json
replyobject
err_codeintegerrequired

Error code

err_msgstringrequired

Error message describing what went wrong

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 401, "err_msg": "Authentication credentials were not provided or are invalid", "err_extra": {} } }

Access denied - insufficient permissions

Body
application/json
replyobject
err_codeintegerrequired

Error code

err_msgstringrequired

Error message describing what went wrong

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 403, "err_msg": "You do not have permission to access assessment results", "err_extra": {} } }

Resource not found

Body
application/json
replyobject
err_codeinteger

Error code

err_msgstring

Error message

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 404, "err_msg": "Control not found", "err_extra": { "control_id": "eee175cb00ef4da4a0e3091b1ee77368" } } }

Conflict - duplicate resource

Body
application/json
replyobject
err_codeintegerrequired

Error code

err_msgstringrequired

Error message describing what went wrong

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 0, "err_msg": "example", "err_extra": {} } }

Internal server error

Body
application/json
replyobject
err_codeinteger

Error code

err_msgstring

Error message

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 500, "err_msg": "Failed to retrieve controls", "err_extra": {} } }